final class StopState implements VehicleState{
    private Vehicle vehicle;

    @Override
    public void onAction() {
        System.out.printf("Silnik jest wyłączany, pojazd: '%s'%n",vehicle);
    }

    @Override
    public void evaluate() {
        System.out.printf("Silnik jest wyłączony, pojazd: '%s'%n",vehicle);
    }

    @Override
    public void setVehicle(Vehicle vehicle) {
        this.vehicle = vehicle;
    }

    @Override
    public String toString() {
        return "StopState{" +
               "vehicle=" + vehicle.getModel() +
               '}';
    }
}
